<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Admin Portal</title>

<!--    <link rel="stylesheet" href="../static/css/navbarBootstrap.css" th:href="@{/css/navbarBootstrap.css}">-->

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="../static/css/style.css" th:href="@{/css/style.css}">
    <link rel="stylesheet" href="../static/css/admin-popup.css" th:href="@{/css/admin-popup.css}">
    <link rel="stylesheet" href="../static/css/rectangle-form.css" th:href="@{/css/rectangle-form.css}">
    <link rel="stylesheet" href="../static/css/scroll.css" th:href="@{/css/scroll.css}">
    <link rel="stylesheet" href="../static/css/user-page.css" th:href="@{/css/user-page.css}">
    <link rel="stylesheet" href="../static/css/navbar.css" th:href="@{/css/navbar.css}">


    <!--NAVBAR-->
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <!--NAVBAR-->

</head>
<body class="scrollbar-morpheus-den">

<nav class="navbar navbar-icon-top navbar-expand-lg navbar-dark bg-dark">
    <a href="post-page.html" th:href="@{/home}"><img src="https://images.cooltext.com/5345905.png" width="201" height="69" alt="G S M" /></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav ">
            <li class="nav-item active">
                <a class="nav-link" href="post-page.html" th:href="@{/home}">
                    <i class="fa fa-home"></i>
                    Home
                    <span class="sr-only">(current)</span>
                </a>
            </li>
        </ul>
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="friends-page.html" th:href="@{/friends}">
                    <i class="fa fa-users">
                        <span class="badge badge-info"> <span
                                th:text="${user.getReceivedFriendRequest().size()}"></span> </span>
                    </i>
                    Friends
                </a>
            </li>

            <li class="nav-item mr-auto">
                <a class="nav-link " href="index.html" th:href="@{/logout}">
                    <i class="fa fa-power-off"></i>
                    </i>
                    Logout
                </a>
            </li>

            <li class="nav-item mr-auto">
                <a class="nav-link" href="admin.html" th:href="@{/admin}">
                    <i class="fa fa-lock">
                    </i>
                    Admin
                </a>
            </li>
        </ul>

        <div class="а">
            <h6><span th:text="${user.getFirstName()}"></span></h6>
        </div>

        <div class="media-left b"><a href="user-page.html" th:href="@{/user}"> <img
                class="rounded-circle thumbnail"
                th:src="'images/' + ${user.picture}"
                width="70" height="70" alt="Profile Pic"></a></div>

    </div>

</nav>

<div class="row">
    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-yellow"><i class="ion ion-ios-people-outline"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">All Users</span>
                <span class="info-box-number" th:text="${allUsers}"></span>
            </div>
        </div>
    </div>

    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-yellow"><ion-icon name="md-man"></ion-icon></span>
            <div class="info-box-content">
                <span class="info-box-text">Males</span>
                <span class="info-box-number" th:text="${males}"></span>
            </div>
        </div>
    </div>

    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-yellow"><ion-icon name="md-woman"></ion-icon></span>
            <div class="info-box-content">
                <span class="info-box-text">Females</span>
                <span class="info-box-number" th:text="${females}"></span>
            </div>
        </div>
    </div>

    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-yellow"><ion-icon name="people"></ion-icon></span>
            <div class="info-box-content">
                <span class="info-box-text">Others</span>
                <span class="info-box-number" th:text="${others}"></span>
            </div>
        </div>
    </div>
</div>


<br/>

<div class="container-fluid">
    <input id="search-user-field" type="text" placeholder="search here ...">
    <div class="row mt-5">
        <div id="demo" class="col-8" style="background: #454d55">
            <div id="table-content" class="row">

            </div>
            <div class="d-flex justify-content-center" aria-label="Page navigation example">
                <ul class="pagination">
                    <li id="previous-page"  class="page-item">
                        <a class="page-link" href="#">Previous</a>
                    </li>
                    <li id="current-page" class="page-item"><a id="current-page-value" class="page-link" href="#" data-custom-value="0">1</a></li>
                    <li id="next-page" class="page-item"><a class="page-link" href="#">Next</a></li>
                </ul>
            </div>
        </div>
    </div>
</div>

<div id="popup1" class="overlay">
    <div class="popup">
        <h2>Editorial Window</h2>
        <a id="close-pop" class="close" href="#">&times;</a>
        <div id="content">
            <div class="row">
                <div class="col">
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="first-name-edit">First Name</label>
                            <input type="text" class="form-control" id="first-name-edit" placeholder="First Name">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="last-name-edit">Last Name</label>
                            <input type="text" class="form-control" id="last-name-edit" placeholder="Last Name">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="email-edit">Email</label>
                        <input type="email" class="form-control" id="email-edit" placeholder="Email">
                    </div>
                    <div class="form-group">
                        <label for="age-edit">Age</label>
                        <input type="text" class="form-control" id="age-edit" placeholder="Age">
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="gender-edit">Gender</label>
                            <select th:field="*{genders}"  class="form-control" id="gender-edit">
                                <option th:each="gender : ${genders}"
                                        th:value="${gender.toString()}"
                                        th:text="${gender.toString()}">Gender
                                </option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="country-edit">Country</label>
                        <select th:field="*{countries}"  class="form-control" id="country-edit">
                            <option th:each="country : ${countries}"
                                    th:value="${country.toString()}"
                                    th:text="${country.toString()}">Gender
                            </option>
                        </select>
                    </div>
                    <button type="submit" class="btn btn-primary btn-md submit-edit">Edit</button>
                </div>
                <div class="col">
                    <div class="edit-types pr-2 d-flex justify-content-center">
                        <button type="button" class="btn btn-primary all-posts">Posts</button>
                        <button type="button" class="btn btn-primary all-comments">Comments</button>
                    </div>
                    <br/>
                    <div class="container">
                        <div class="row user-posts-comments">

                    </div>
                </div>

                <div class="d-flex justify-content-center" aria-label="Page navigation example">
                    <ul class="pagination">
                        <li id="previous-page-edit"  class="page-item">
                            <a class="page-link" href="#popup1">Previous</a>
                        </li>
                        <li id="current-page-edit" class="page-item"><a id="current-page-value-edit" class="page-link" href="#popup1" data-custom-value="0">1</a></li>
                        <li id="next-page-edit" class="page-item"><a class="page-link" href="#popup1">Next</a></li>
                    </ul>
                </div>
        </div>
        </div>
    </div>
    </div>
</div>

<script
        src="https://code.jquery.com/jquery-3.4.1.min.js"
        integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<script src="https://unpkg.com/ionicons@4.5.10-0/dist/ionicons.js"></script>
<script src="../static/js/pagination.js" th:src="@{/js/pagination.js}"></script>
<script src="../static/js/fill-popup.js" th:src="@{/js/fill-popup.js}"></script>
<script src="../static/js/admin-page.js" th:src="@{/js/admin-page.js}"></script>
</body>
</html>